package com.ningdatech.pmapi.safety.controller;

import com.alibaba.fastjson.JSONObject;
import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import com.ningdatech.pmapi.safety.manage.SafetyRiskManage;
import com.ningdatech.pmapi.safety.model.vo.ProjectMonitorVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Classname SafetyRiskController
 * @Description
 * @Date 2023/8/2 9:15
 * @Author PoffyZhang
 */
@RestController
@RequiredArgsConstructor
@Api(tags = "安全风险监测")
@RequestMapping("/api/v1/safety-risk")
public class SafetyRiskController {

    private final SafetyRiskManage safetyRiskManage;

    @GetMapping("/person-monitor/list")
    @ApiOperation("安全人员监控列表")
    public PageVo<ProjectMonitorVO> personMonitorList(ProjectListReq req) {
        return safetyRiskManage.personMonitorList(req);
    }

    @GetMapping("/person-monitor/detail/{projectCode}")
    @ApiOperation("安全人员监控详情")
    public ProjectMonitorVO personMonitorDetail(@PathVariable String projectCode) {
        return safetyRiskManage.personMonitorDetail(projectCode);
    }


    @GetMapping("/operation-monitor/list")
    @ApiOperation("安全运行监控列表")
    public PageVo<ProjectMonitorVO> operationnMonitorList(ProjectListReq req) {
        return safetyRiskManage.operationnMonitorList(req);
    }

    @GetMapping("/operation-monitor/search/{projectCode}")
    @ApiOperation("安全运行监控-查询监测(对接外部平台)")
    public JSONObject operationnMonitorList(@PathVariable String projectCode) {
        return safetyRiskManage.operationnMonitorSearch(projectCode);
    }
}
